com.sun.jdi.connect

## Class VMStartException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.jdi.connect.VMStartException

All Implemented Interfaces:
  Serializable

    @Exported
    public class VMStartException
    extends Exception

A target VM was successfully launched, but terminated with an error before a connection could be established. This exception provides the `Process` object for the launched target to help in diagnosing the problem.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VMStartException(Process process)`
`VMStartException(String message, Process process)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Process` `process()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VMStartException

    public VMStartException(Process process)

#### VMStartException

    public VMStartException(String message,
                            Process process)

### Method Detail

#### process

    public Process process()